DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# SeparableConvolution

FrameWork for separable convolution filters

## SYNOPSIS

`#include "dip_linear.h"`

dip_Error dip_SeparableConvolution ( in, out, filters, bc, process )

## DATA TYPES

integer, float

## FUNCTION

This function is a frontend to the lower level `Convolve1d` function. Each dimension can be processed by a different filter.

`process` may be zero, indicating that all dimensions should be processed.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_SeparableConvolutionFilter *` | `filters` | Filters
`dip_BoundaryArray` | `bc` | Boundary conditions
`dip_BooleanArray` | `process (0)` | Dimensions to process

## SEE ALSO

General information about convolution

`SeparableFrameWork`, `Convolve1d`

DIPlib on-line documentation | Function reference | Global function index